=== modified file 'drizzled/enum.h'
--- drizzled/enum.h	2009-11-28 22:02:19 +0000
+++ drizzled/enum.h	2009-12-01 21:58:19 +0000
@@ -213,10 +213,9 @@
 
 enum tmp_table_type
 {
-  NO_TMP_TABLE, 
-  NON_TRANSACTIONAL_TMP_TABLE, 
-  TRANSACTIONAL_TMP_TABLE,
-  INTERNAL_TMP_TABLE, 
+  NO_TMP_TABLE,
+  TEMP_TABLE,
+  INTERNAL_TMP_TABLE,
   SYSTEM_TMP_TABLE
 };
 

=== modified file 'drizzled/sql_base.cc'
--- drizzled/sql_base.cc	2009-12-01 18:40:22 +0000
+++ drizzled/sql_base.cc	2009-12-01 21:58:19 +0000
@@ -2303,8 +2303,7 @@
   }
 
   new_tmp_table->reginfo.lock_type= TL_WRITE;	 // Simulate locked
-  share->tmp_table= (new_tmp_table->cursor->has_transactions() ?
-                     TRANSACTIONAL_TMP_TABLE : NON_TRANSACTIONAL_TMP_TABLE);
+  share->tmp_table= TEMP_TABLE;
 
   if (link_in_list)
   {

=== modified file 'drizzled/sql_derived.cc'
--- drizzled/sql_derived.cc	2009-11-11 19:42:27 +0000
+++ drizzled/sql_derived.cc	2009-12-01 21:58:19 +0000
@@ -150,7 +150,7 @@
       orig_table_list->table_name=        table->s->table_name.str;
       orig_table_list->table_name_length= table->s->table_name.length;
       table->derived_select_number= first_select->select_number;
-      table->s->tmp_table= NON_TRANSACTIONAL_TMP_TABLE;
+      table->s->tmp_table= TEMP_TABLE;
       orig_table_list->db= (char *)"";
       orig_table_list->db_length= 0;
       /* Force read of table stats in the optimizer */

=== modified file 'drizzled/sql_insert.cc'
--- drizzled/sql_insert.cc	2009-11-30 22:14:26 +0000
+++ drizzled/sql_insert.cc	2009-12-01 21:58:19 +0000
@@ -1518,7 +1518,7 @@
 
   TableIdentifier identifier(create_table->db,
                              create_table->table_name,
-                             lex_identified_temp_table ?  NON_TRANSACTIONAL_TMP_TABLE :
+                             lex_identified_temp_table ?  TEMP_TABLE :
                              NO_TMP_TABLE);
 
 

=== modified file 'drizzled/sql_table.cc'
--- drizzled/sql_table.cc	2009-12-01 02:32:53 +0000
+++ drizzled/sql_table.cc	2009-12-01 21:58:19 +0000
@@ -2259,9 +2259,7 @@
   strncpy(src_path, src_table->table->s->path.str, sizeof(src_path));
 
 
-  TableIdentifier destination_identifier(db, table_name, lex_identified_temp_table ?
-                                         (engine_arg->check_flag(HTON_BIT_DOES_TRANSACTIONS) ? TRANSACTIONAL_TMP_TABLE : NON_TRANSACTIONAL_TMP_TABLE) :
-                                         NO_TMP_TABLE);
+  TableIdentifier destination_identifier(db, table_name, lex_identified_temp_table ? TEMP_TABLE : NO_TMP_TABLE);
 
   /*
     Check that destination tables does not exist. Note that its name

=== modified file 'drizzled/statement/alter_table.cc'
--- drizzled/statement/alter_table.cc	2009-11-30 18:45:46 +0000
+++ drizzled/statement/alter_table.cc	2009-12-01 21:58:19 +0000
@@ -1413,8 +1413,7 @@
   TableIdentifier identifier(new_db,
                              tmp_name,
                              create_proto->type() != message::Table::TEMPORARY ? INTERNAL_TMP_TABLE :
-                             create_info->db_type->check_flag(HTON_BIT_DOES_TRANSACTIONS) ? TRANSACTIONAL_TMP_TABLE :
-                             NON_TRANSACTIONAL_TMP_TABLE );
+                             TEMP_TABLE);
 
   old_db_type= table->s->db_type();
   new_db_type= create_info->db_type;

=== modified file 'drizzled/statement/create_table.cc'
--- drizzled/statement/create_table.cc	2009-11-23 06:46:28 +0000
+++ drizzled/statement/create_table.cc	2009-12-01 21:58:19 +0000
@@ -85,14 +85,13 @@
   TableList *select_tables= session->lex->query_tables;
 
 
-  /* 
+  /*
     Now that we have the engine, we can figure out the table identifier. We need the engine in order
     to determine if the table is transactional or not if it is temp.
   */
   TableIdentifier new_table_identifier(create_table->db,
                                        create_table->table_name,
-                                       create_table_proto.type() != message::Table::TEMPORARY ? NO_TMP_TABLE :
-                                       create_info.db_type->check_flag(HTON_BIT_DOES_TRANSACTIONS) ? TRANSACTIONAL_TMP_TABLE : NON_TRANSACTIONAL_TMP_TABLE);
+                                       create_table_proto.type() != message::Table::TEMPORARY ? NO_TMP_TABLE : TEMP_TABLE);
 
   if (create_table_precheck(new_table_identifier))
   {

=== modified file 'drizzled/table_identifier.cc'
--- drizzled/table_identifier.cc	2009-11-26 03:12:02 +0000
+++ drizzled/table_identifier.cc	2009-12-01 21:58:19 +0000
@@ -44,8 +44,7 @@
                                         db, table_name,
                                         true);
       break;
-    case NON_TRANSACTIONAL_TMP_TABLE:
-    case TRANSACTIONAL_TMP_TABLE:
+    case TEMP_TABLE:
       path_length= build_tmptable_filename(path, sizeof(path));
       break;
     case SYSTEM_TMP_TABLE:

=== modified file 'drizzled/table_identifier.h'
--- drizzled/table_identifier.h	2009-11-24 04:03:13 +0000
+++ drizzled/table_identifier.h	2009-12-01 21:58:19 +0000
@@ -94,11 +94,8 @@
     case INTERNAL_TMP_TABLE:
       type_str= "internal";
       break;
-    case NON_TRANSACTIONAL_TMP_TABLE:
-      type_str= "non-transactional temp";
-      break;
-    case TRANSACTIONAL_TMP_TABLE:
-      type_str= "transactional temp";
+    case TEMP_TABLE:
+      type_str= "temporary";
       break;
     case SYSTEM_TMP_TABLE:
       type_str= "system";

